curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/extensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"extensionId": "<string>",
"version": "<string>",
"manifestHash": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/extensions"
payload = {
"extensionId": "<string>",
"version": "<string>",
"manifestHash": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({extensionId: '<string>', version: '<string>', manifestHash: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/v2/extensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/extensions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'extensionId' => '<string>',
'version' => '<string>',
'manifestHash' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/extensions"
payload := strings.NewReader("{\n \"extensionId\": \"<string>\",\n \"version\": \"<string>\",\n \"manifestHash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/extensions")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"extensionId\": \"<string>\",\n \"version\": \"<string>\",\n \"manifestHash\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/extensions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"extensionId\": \"<string>\",\n \"version\": \"<string>\",\n \"manifestHash\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extensionId": "<string>",
"version": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastChanged": "2023-11-07T05:31:56Z",
"manifestHash": "<string>",
"status": 0
}Create Extension
Creates a new extension and validate the signature of the manifest.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/extensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"extensionId": "<string>",
"version": "<string>",
"manifestHash": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/extensions"
payload = {
"extensionId": "<string>",
"version": "<string>",
"manifestHash": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({extensionId: '<string>', version: '<string>', manifestHash: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/v2/extensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/extensions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'extensionId' => '<string>',
'version' => '<string>',
'manifestHash' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/extensions"
payload := strings.NewReader("{\n \"extensionId\": \"<string>\",\n \"version\": \"<string>\",\n \"manifestHash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/extensions")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"extensionId\": \"<string>\",\n \"version\": \"<string>\",\n \"manifestHash\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/extensions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"extensionId\": \"<string>\",\n \"version\": \"<string>\",\n \"manifestHash\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extensionId": "<string>",
"version": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastChanged": "2023-11-07T05:31:56Z",
"manifestHash": "<string>",
"status": 0
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
Grants permission to manage extensions and integrations of the JTL-Wawi.
Grants permission to manage extensions and integrations of the JTL-Wawi.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
The relevant information of the extension.
Response
The new created extension.
Model Class: Extension
The Identifier of the Extension.
The Unique Identifier of the Extension
The Version of Extension.
The Date of Creation the Extension in the Wawi
The Date of the last changeof the Extension information
The Hash of the Manifest Hexadeimcal Sha512
The status of the Extension
0, 1, 2 Was this page helpful?